# III. PostgreSQL 伺服器應用程式

本部分包含 PostgreSQL 伺服器應用程式和支援的實用工具參考訊息。這些指令只能在資料庫伺服器所在的主機上有效運行。[PostgreSQL 用戶端工具](/15/reference/client-applications.md)中列出了其他實用工具。

[initdb](https://www.postgresql.org/docs/current/app-initdb.html) — create a new PostgreSQL database cluster

[pg\_archivecleanup](https://www.postgresql.org/docs/current/pgarchivecleanup.html) — clean up PostgreSQL WAL archive files

[pg\_checksums](https://www.postgresql.org/docs/current/app-pgchecksums.html) — enable, disable or check data checksums in a PostgreSQL database cluste

[pg\_controldata](https://www.postgresql.org/docs/current/app-pgcontroldata.html) — display control information of a PostgreSQL database cluster

[pg\_ctl](https://www.postgresql.org/docs/current/app-pg-ctl.html) — initialize, start, stop, or control a PostgreSQL server

[pg\_resetwal](https://www.postgresql.org/docs/current/app-pgresetwal.html) — reset the write-ahead log and other control information of a PostgreSQL database cluster

[pg\_rewind](https://www.postgresql.org/docs/current/app-pgrewind.html) — synchronize a PostgreSQL data directory with another data directory that was forked from it

[pg\_test\_fsync](https://www.postgresql.org/docs/current/pgtestfsync.html) — determine fastest `wal_sync_method` for PostgreSQL

[pg\_test\_timing](https://www.postgresql.org/docs/current/pgtesttiming.html) — measure timing overhead

[pg\_upgrade](https://www.postgresql.org/docs/current/pgupgrade.html) — upgrade a PostgreSQL server instance

[pg\_waldump](https://www.postgresql.org/docs/current/pgwaldump.html) — display a human-readable rendering of the write-ahead log of a PostgreSQL database cluster

[postgres](https://www.postgresql.org/docs/current/app-postgres.html) — PostgreSQL database server

[postmaster](https://www.postgresql.org/docs/current/app-postmaster.html) — PostgreSQL database server


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.postgresql.tw/15/reference/server-applications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
